<?php
/**
* get database object
*
* creates a new database object if not already one was created before or $newInstance was set to true.
* returns the database object
*
* @copyright	CONTREXX CMS - Astalavista IT Engineering GmbH Thun
* @author		Astalavista Development Team <thun@astalvista.ch>
* @access		public
* @module		database
* @modulegroup	core
* @version		1.0.0
* @param	string	$errorMsg
* @param	boolean	$newInstance
* @global	array	$_ARRAYLANG
* @global	array	$_DBCONFIG
* @return	boolean	true on success, false on failure
*/


function getDatabaseObject(&$errorMsg, $newInstance = false)
{
	global $_ARRLANG, $_DBCONFIG, $ADODB_FETCH_MODE;
	
	static $objDatabase;
	
	if (is_object($objDatabase) && !$newInstance) {
		return $objDatabase;
	} else {
		// open db connection
		$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
		
		$objDb = ADONewConnection($_DBCONFIG['dbType']);
		@$objDb->Connect($_DBCONFIG['host'], $_DBCONFIG['user'], $_DBCONFIG['password'], $_DBCONFIG['database']);
		
		$errorNo = $objDb->ErrorNo();
		if ($errorNo != 0) {
			if ($errorNo == 1049) {
				$errorMsg .= str_replace("[DATABASE]", $_DBCONFIG['database'], $_ARRLANG['TXT_DATABASE_DOES_NOT_EXISTS']."<br />");
			} else {
				$errorMsg .=  $objDb->ErrorMsg()."<br />";
			}
			unset($objDb);
			return false;
		}
		
		if ($objDb) {
			if ($newInstance) {
				return $objDb;
			} else {
				$objDatabase = $objDb;
				return $objDb;
			}
		} else {
			$errorMsg .= $_ARRLANG['TXT_CANNOT_CONNECT_TO_DB_SERVER']."<i>&nbsp;(".$objDb->ErrorMsg().")</i><br />";
			unset($objDb);
		}
		return false;
	}
}
?>
